Update Truck
curl --request PATCH \
--url https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"driver_id": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}"
payload = { "driver_id": "<string>" }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({driver_id: '<string>'})
};
fetch('https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'driver_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}"
payload := strings.NewReader("{\n \"driver_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"driver_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"driver_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"driver_id": "<string>",
"id": 123,
"interface_color": "<string>",
"is_deactivated": true,
"location_id": 123,
"name": "<string>",
"notes": "<string>",
"out_of_service": true,
"require_odometer": true,
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trailer_id": 123,
"type": "<string>",
"weight": "<string>"
}Trucks
Update Truck
Update truck.
PATCH
/
locations
/
{location_id}
/
trucks
/
{truck_id}
Update Truck
curl --request PATCH \
--url https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"driver_id": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}"
payload = { "driver_id": "<string>" }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({driver_id: '<string>'})
};
fetch('https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'driver_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}"
payload := strings.NewReader("{\n \"driver_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"driver_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosoftware.com/v0/locations/{location_id}/trucks/{truck_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"driver_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"driver_id": "<string>",
"id": 123,
"interface_color": "<string>",
"is_deactivated": true,
"location_id": 123,
"name": "<string>",
"notes": "<string>",
"out_of_service": true,
"require_odometer": true,
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trailer_id": 123,
"type": "<string>",
"weight": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Location identifier.
Truck identifier.
Query Parameters
Driver identifier.
Body
application/json
Update truck values.
Driver identifier. A null driver_id resets the truck to have no driver.
Response
200 - application/json
Success
Truck profile.
Driver identifier.
Resource identifier.
Hex string color identifier.
Truck inactive if TRUE.
Location identifier.
Name (free text).
Notes (free text).
Truck out of service.
Require odometer.
Third party hauler identifier.
Trailer record identifier.
Truck type (free text).
Truck empty weight.